package com.jdbernard.timestamper

import groovy.beans.Bindable
import java.awt.Point
import java.awt.Rectangle
import java.util.Properties
import com.jdbernard.timestamper.core.Timeline
import com.jdbernard.timestamper.core.TimelineMarker
import com.jdbernard.timestamper.core.TimelineProperties

class TimeStamperMainModel {
    @Bindable TimelineMarker currentMarker
    @Bindable Timeline timeline
    @Bindable TimelineProperties timelineProperties
    Properties config
    File timelinePropertiesFile

    def notesDialogMVC
    def punchcardDialogMVC

    @Bindable Point absoluteLocation
    @Bindable Rectangle frameSize
}
